# $Revision: 1.24 $, $Date: 2010/08/21 19:09:05 $
%include	/usr/lib/rpm/macros.php
%define		_class		XML
%define		_subclass	XPath
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - XPath/DOM XML manipulation, maneuvering and query interface
Summary(pl.UTF-8):	%{_pearname} - interfejs do obróbki i zapytań XPath/DOM XML
Name:		php-pear-%{_pearname}
Version:	1.2.4
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	b0af5c50625373a13400db23b85b4924
Patch0:		%{name}-path_fix.patch
URL:		http://pear.php.net/package/XML_XPath/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common < 3:5.0.0
Requires:	php-common >= 3:4.2.1
Requires:	php-domxml
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PEAR::XML_XPath class provides an XPath/DOM XML manipulation,
maneuvering and query interface.

The class allows for easy manipulation, maneuvering and querying of a
DOMXML tree using both XPath queries and DOM walk functions. It uses
an internal pointer for all methods on which the action is performed.
Results from an DOM/XPath query are returned as an XPath_Result
object, which contains an internal array of DOM nodes and which
extends the common DOM class and hence contains all the DOM functions
from the main object to run on each of the elements in the internal
array. This class tries to hold as close as possible to the DOM
Recommendation. You MUST have the domxml extension to use this class.

The XML_XPath class was inspired by a class maintained by Nigel
Swinson called phpxpath. The phpxpath class does not rely on PHP
xmldom functions and is therefore a sibling to this class:
<http://sourceforge.net/projects/phpxpath/>.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa PEAR::XML_XPath udostępnia interfejs do obróbki, manewrowania i
zapytań XPath/DOM XML.

Klasa ta pozwala na łatwe manipulowanie, manewrowanie i odpytywanie
drzewa DOMXML przy użyciu zapytań XPath i funkcji chodzących DOM.
Używa wewnętrznego wskaźnika dla wszystkich metod, na których jest
wykonywana akcja. Wyniki zapytań DOM/XPath są zwracane jako obiekt
XPath_Result, który zawiera wewnętrzną tablicę węzłów DOM i rozszerza
ogólną klasę DOM, przez co zawiera wszystkie funkcje DOM z głównego
obiektu, które można uruchamiać na każdym z elementów wewnętrznej
tablicy. Ta klasa próbuje być najbliżej rekomendacji DOM na ile to
możliwe. Aby używać tej klasy, trzeba mieć rozszerzenie domxml.

Klasa XML_XPath była inspirowana klasą phpxpath utrzymywaną przez
Nigela Swinsona. Klasa phpxpath nie polega na funkcjach PHP xmldom,
dlatego jest siostrzana dla tej klasy:
<http://sourceforge.net/projects/phpxpath/>.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup
cd ./%{php_pear_dir}/%{_class}
%patch0 -p2

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%dir %{php_pear_dir}/%{_class}/%{_subclass}
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-XML_XPath.spec,v $
Revision 1.24  2010/08/21 19:09:05  glen
- updated deps with pearize.sh
- release 3

Revision 1.23  2008/01/31 12:16:12  glen
- rel 2

Revision 1.22  2007-08-23 09:43:53  adamg
- updated to 1.2.4

Revision 1.21  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.19  2006/11/26 14:11:37  glen
- rel 3: use php(extension) virtuals

Revision 1.18  2006/05/23 20:18:15  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.17  2006/03/29 22:29:07  glen
- rel 2 (rebuild with less deps)

Revision 1.16  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.15  2005/10/26 16:02:23  glen
- 1.2.3
- NB: this package is not php 5.x compatible (and has never been)
- PHP5 has out-of-the-box for XPath in both DOM and SimpleXML

Revision 1.14  2005/10/15 14:41:08  glen
- updated to 1.2.2, status changed to stable

Revision 1.13  2005/10/05 20:59:49  glen
- rel 4

Revision 1.12  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.11  2005/09/29 19:40:43  glen
- new pear packaging

Revision 1.10  2004/12/04 22:27:51  adamg
- added path_fix.patch
- release 3

Revision 1.9  2004/12/04 14:29:44  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.8  2004/05/30 13:13:54  adamg
- fixed english information about status of the package

Revision 1.7  2004/03/15 17:44:32  ankry
- massive cosmetics

Revision 1.6  2004/02/01 21:44:58  adamg
- updated to 1.2.1

Revision 1.5  2003/10/07 20:56:49  adamg
- do not use macros in URL

Revision 1.4  2003/09/01 13:55:02  ankry
- md5

Revision 1.3  2003/08/31 20:49:12  adamg
- more specific URL

Revision 1.2  2003/06/08 16:26:12  qboosh
- pl description, cleanups

Revision 1.1  2003/06/03 20:52:07  adamg
- initial import
